<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8" />
  <title>Selector API Demo</title>

  <style type="text/css">
    td {
      border-style: solid;
      border-width: 1px;
    }

    td:hover {
      background-color: orange;
    }
	
	div {
	  padding: 10px;
	}

	</style>
</head>

<body>
  <section>
    <!-- create a table with a 3 by 3 cell display -->
    <table>
      <tr>
        <td><img src="images\Wales.png" width="150" height="100"/></td> 
		<td><img src="images\Norway.png" width="150" height="100"/></td>
		<td><img src="images\Sweden.png" width="150" height="100"/></td> 
      </tr>
      <tr>
        <td><img src="images\Brazil.png" width="150" height="100"/></td> 
		<td><img src="images\China.png" width="150" height="100"/></td> 
		<td><img src="images\India.png" width="150" height="100"/></td> 
      </tr>
      <tr>
        <td><img src="images\Spain.png" width="150" height="100"/></td> 
		<td><img src="images\Greece.png" width="150" height="100"/></td> 
		<td><img src="images\USA.png" width="150" height="100"/></td> 
      </tr>
    </table>

    <button type="button" id="echoButton" autofocus>Echo an image via hovering!</button>
    <div id="echoDiv"></div>

    <script type="text/javascript">
      document.querySelector("#echoButton").onclick = function() {
        // find the table cell currently hovered in the page
        var hoveredCell = document.querySelector("td:hover");
        if (hoveredCell) {
		   document.querySelector("#echoDiv").innerHTML = hoveredCell.innerHTML;
		} else {
		   alert("You should over a table cell");
		}
      }
	</script>
  </section>

</body>
</html>